org.deidentifier.arx.framework.check

## Class TransformationResult

- java.lang.Object
- - org.deidentifier.arx.framework.check.TransformationResult

    public class TransformationResult
    extends java.lang.Object

The result of a check of a transformation.

### Field Summary

Fields
`InformationLoss<?>` `informationLoss` Information loss.
`InformationLoss<?>` `lowerBound` Lower bound.
`java.lang.Boolean` `minimalClassSizeFulfilled` k-Anonymity sub-criterion.
`java.lang.Boolean` `privacyModelFulfilled` Overall anonymity.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### privacyModelFulfilled

    public final java.lang.Boolean privacyModelFulfilled

Overall anonymity.

#### minimalClassSizeFulfilled

    public final java.lang.Boolean minimalClassSizeFulfilled

k-Anonymity sub-criterion.

#### informationLoss

    public final InformationLoss<?> informationLoss

Information loss.

#### lowerBound

    public final InformationLoss<?> lowerBound

Lower bound.